package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class UserBasicQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部", required = false)
    private String organId;

    @ApiModelProperty(value = "声部编号", required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "乐团编号", required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "群编号（用于排除掉在群里面的用户）", required = false)
    private String imGroupId;

    public String getImGroupId() {
        return imGroupId;
    }

    public void setImGroupId(String imGroupId) {
        this.imGroupId = imGroupId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }
}
